<?php

use Netzmacher\QuickShop\Utility\TCA\Icons;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$Icons = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( Icons::class );

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );

require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/TCA/Defaults/Media/image.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$_EXTKEY = 'quick_shop';

///////////////////////////////////////
//
// Localization support

$bool_LL = FALSE;
if( strtolower( substr( $confArr[ 'LLsupport' ], 0, strlen( 'yes' ) ) ) == 'yes' )
{
	$bool_LL = TRUE;
}

$tx_quickshop_products = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products',
				'label' => 'title',
				'label_alt' => 'price',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'hideAtCopy' => true,
				'dividers2tabs' => true,
				'thumbnail' => 'image',
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.svg',
				// #i0073, 161101, dwildt, 1+
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'type,sku,ean,title,short,description,'
				. 'page,url'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'marginal_title,marginal_short,marginal_description'
				. 'datasheet,'
				. 'tx_quickshop_variant,'
				. 'filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
				. 'price,tax,weight,stockmanagement,stockquantity,stockprompt,quantity_min,quantity_max,tx_quickshop_shippingcosts,'
				// #t0937, 161101, dwildt, 4-/1+
//        . 'image,imagewidth,imageheight,imageorient,imagecols,'
//        . 'imageborder,image_frames,image_link,image_zoom,'
//        . 'image_noRows,image_effects,image_compression,imageseo,'
//        . 'caption,caption_position,'
				. qsTcaCtrlImageSearchFields( $fal )
				. 'hidden,topoffer,starttime,endtime,fe_group,'
				. 'ebay_keywords,seo_keywords,seo_description'
				,
				// #69258, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'type,sku,ean,title,short,description,'
				. 'page,url'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'marginal_title,marginal_short,marginal_description'
				. 'datasheet,'
				. 'tx_quickshop_variant,'
				. 'filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
				. 'price,tax,weight,stockmanagement,stockquantity,stockprompt,quantity_min,quantity_max,tx_quickshop_shippingcosts,'
				// #t0937, 161101, dwildt, 4-/1+
//        . 'image,imagewidth,imageheight,imageorient,imagecols,'
//        . 'imageborder,image_frames,image_link,image_zoom,'
//        . 'image_noRows,image_effects,image_compression,imageseo,'
//        . 'caption,caption_position,'
				. qsTcaCtrlImageSearchFields( $fal )
				. 'hidden,topoffer,starttime,endtime,fe_group,'
				. 'ebay_keywords,seo_keywords,seo_description'
		),
		'columns' => array(
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_record',
												'1' => 'record',
												'2' => $Icons->iconRecord(),
										),
										'page' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_page',
												'1' => 'page',
												'2' => $Icons->iconPage(),
										),
										'url' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_url',
												'1' => 'url',
												'2' => $Icons->iconUrl(),
										),
										'notype' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_notype',
												'1' => 'notype',
												'2' => $Icons->iconNotype(),
										),
								),
								'default' => 'record',
						),
						// #69248, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:type_notype',
												'1' => 'notype',
										),
								),
						),
				),
				'page' => array(
						'exclude' => 0,
//          'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1'
						),
				),
				'url' => array(
						'exclude' => 0,
//          'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.url',
						'config' => $arr_wizard_url,
				),
				'sku' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.sku',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'ean' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ean',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required',
						)
				),
				'short' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.short',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'teaser_description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'teaser_short' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'teaser_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_short' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'datasheet' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.datasheet',
						'defaultExtras' => 'nowrap:wizards[table]',
						'config' => array(
								'type' => 'text',
								'wrap' => 'off',
								'cols' => 80,
								'rows' => 15,
								// #i0086, 170326, dwildt, ~
								'wizards' => [
										'table' => [
												'notNewRecords' => 1,
												'enableByTypeConfig' => 1,
												'type' => 'script',
												'title' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:bodytext.W.table',
												'icon' => 'content-table',
												'module' => [
														'name' => 'wizard_table'
												],
												'params' => [
														'xmlOutput' => 0
												]
										]
								],
						)
				),
				'description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'eval' => 'trim',
								'wizards' => array(
										'_PADDING' => 2,
										'RTE' => array(
												'notNewRecords' => 1,
												'RTEonly' => 1,
												'type' => 'script',
												'title' => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
												'icon' => 'wizard_rte2.gif',
												// #t0937, 161101, dwildt, 1-/3+
												//'script' => 'wizard_rte.php',
												'module' => array(
														'name' => 'wizard_rte',
												),
										),
								),
						)
				),
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.filterPrompt',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\QuickShop\Utility\Userfunc\ExtManager->tcaFilterPrompt',
						),
				),
				'tx_quickshop_categories' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_categories',
						'config' => qsConfigSelectTree(
										'tx_quickshop_products'
										, 'tx_quickshop_categories'
										, 'AND tx_quickshop_categories.pid=###CURRENT_PID### '
										. 'ORDER BY tx_quickshop_categories.uid'
						),
						// #69258, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_categories'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_categories'
								),
								'foreign_table' => 'tx_quickshop_categories',
								'foreign_table_where' => 'AND tx_quickshop_categories.pid=###CURRENT_PID### ORDER BY tx_quickshop_categories.uid',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_quickshop_dimension' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_dimension',
						'config' => array(
								'foreign_table' => 'tx_quickshop_dimension',
								'foreign_table_where' => 'AND tx_quickshop_dimension.pid=###CURRENT_PID### ORDER BY tx_quickshop_dimension.title',
								'maxitems' => 10,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								'size' => 10,
								'type' => 'select',
						),
						// #69258, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								'foreign_table' => 'tx_quickshop_dimension',
								'foreign_table_where' => 'AND tx_quickshop_dimension.pid=###CURRENT_PID### ORDER BY tx_quickshop_dimension.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_quickshop_group' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_group.xml:tx_quickshop_products.tx_quickshop_group',
						'config' => array(
								'foreign_table' => 'tx_quickshop_group',
								'foreign_table_where' => 'AND tx_quickshop_group.pid=###CURRENT_PID### ORDER BY tx_quickshop_group.title',
								'maxitems' => 10,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								'size' => 10,
								'type' => 'select',
						),
						// #69258, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								'foreign_table' => 'tx_quickshop_group',
								'foreign_table_where' => 'AND tx_quickshop_group.pid=###CURRENT_PID### ORDER BY tx_quickshop_group.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_quickshop_material' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_material',
						'config' => array(
								'foreign_table' => 'tx_quickshop_material',
								'foreign_table_where' => 'AND tx_quickshop_material.pid=###CURRENT_PID### ORDER BY tx_quickshop_material.title',
								'maxitems' => 10,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								'size' => 10,
								'type' => 'select',
						),
						// #69258, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								'foreign_table' => 'tx_quickshop_material',
								'foreign_table_where' => 'AND tx_quickshop_material.pid=###CURRENT_PID### ORDER BY tx_quickshop_material.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_quickshop_variant' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_variant',
						'config' => array(
								'type' => 'inline',
								'foreign_table' => 'tx_quickshop_variant',
								'foreign_field' => 'tx_quickshop_products',
								'foreign_sortby' => 'sorting',
								'maxitems' => 1000,
								'appearance' => array(
										'collapseAll' => 1,
										'expandSingle' => 1,
										'useSortable' => 1,
										'newRecordLinkAddTitle' => 1,
										'levelLinksPosition' => 'top',
										'showSynchronizationLink' => 0,
										'showAllLocalizationLink' => 1,
										'showPossibleLocalizationRecords' => 1,
										'showRemovedLocalizationRecords' => 1,
								),
								'behaviour' => array(
										'localizeChildrenAtParentLocalization' => 1,
										'localizationMode' => 'select',
								),
						),
				),
				'price' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.price',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,double2,nospace',
						)
				),
				'quantity_min' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_min',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'quantity_max' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_max',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'stockmanagement' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockmanagement',
						'config' => array(
								'type' => 'check',
								'default' => 0,
						)
				),
				'stockquantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockquantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => 1
						)
				),
				'stockprompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.priceonapplication', 'application' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.booked', 'booked' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.negotiation', 'negotiation' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.notavailable', 'notavailable' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.notinstock', 'notinstock' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.onapplication', 'onapplication' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.refit', 'refit' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.selled', 'selled' ),
								),
								'default' => 'selled',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tax' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.0', '1' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.1', '2' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.2', '0' ),
								),
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tx_quickshop_shippingcosts' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_shippingcosts',
						'config' => array(
								'type' => 'select',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								'foreign_table' => 'tx_quickshop_shippingcosts',
								'foreign_table_where' => 'AND tx_quickshop_shippingcosts.pid=###CURRENT_PID### ORDER BY tx_quickshop_shippingcosts.value',
								'XXXwizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'add' => array(
												'type' => 'script',
												'title' => 'Create new record',
												'icon' => 'add.gif',
												'params' => array(
														'table' => 'tx_quickshop_shippingcosts',
														'pid' => '###CURRENT_PID###',
														'setValue' => 'prepend'
												),
												'script' => 'wizard_add.php',
										),
										'list' => array(
												'type' => 'script',
												'title' => 'List',
												'icon' => 'list.gif',
												'params' => array(
														'table' => 'tx_quickshop_shippingcosts',
														'pid' => '###CURRENT_PID###',
												),
												'script' => 'wizard_list.php',
										),
										'edit' => array(
												'type' => 'popup',
												'title' => 'Edit',
												'script' => 'wizard_edit.php',
												'popup_onlyOpenIfSelected' => 1,
												'icon' => 'edit2.gif',
												'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
										),
								),
						),
						// #69258, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								'foreign_table' => 'tx_quickshop_shippingcosts',
								'foreign_table_where' => 'AND tx_quickshop_shippingcosts.pid=###CURRENT_PID### ORDER BY tx_quickshop_shippingcosts.value',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'weight' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.weight',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
				'hidden' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						),
				),
				'topoffer' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.topoffer',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'starttime' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
						'config' => array(
								'type' => 'input',
								'size' => '8',
								'max' => '20',
								'eval' => 'date',
								'default' => '0',
								'checkbox' => '0'
						),
				),
				'endtime' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
						'config' => array(
								'type' => 'input',
								'size' => '8',
								'max' => '20',
								'eval' => 'date',
								'checkbox' => '0',
								'default' => '0',
						),
				),
				'fe_group' => array(
						'exclude' => 1,
						//'l10n_mode'   => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.fe_group',
						'config' => array(
								'type' => 'select',
								'size' => 10,
								'maxitems' => 20,
								'items' => array(
										array( 'LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1 ),
										array( 'LLL:EXT:lang/locallang_general.php:LGL.any_login', -2 ),
										array( 'LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--' ),
								),
								'exclusiveKeys' => '-1,-2',
								'foreign_table' => 'fe_groups'
						),
				),
				'seo_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'ebay_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ebay_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'seo_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_description',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
		),
		'types' => array(
				'notype' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  type,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
//            . '  title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_short, marginal_description,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
//            . '  layout;;10;;3-3-3, cols, datasheet;;9;nowrap:wizards[table],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
//            . '  weight,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
//            . '  tx_quickshop_shippingcosts,'
						// #t0937, 161101, dwildt, ~
						. qsTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
//            . '  ebay_keywords,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.startendtime;startendtime,'
						. '  fe_group,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
//            . '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
//            . '  title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_short, marginal_description,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
//            . '  layout;;10;;3-3-3, cols, datasheet;;9;nowrap:wizards[table],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
//            . '  weight,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
//            . '  tx_quickshop_shippingcosts,'
						// #t0937, 161101, dwildt, ~
						. qsTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
//            . '  ebay_keywords,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.startendtime;startendtime,'
						. '  fe_group,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
//            . '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  type,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts],'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
//						. '  layout;;10;;3-3-3, cols, datasheet;;9;nowrap:wizards[table],'
						. '  layout;;10;;3-3-3, cols, datasheet,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  weight,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
						. '  tx_quickshop_shippingcosts,'
						// #t0937, 161101, dwildt, ~
						. qsTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '  ebay_keywords,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.startendtime;startendtime,'
						. '  fe_group,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
						. '  seo_keywords, seo_description,'
				,
//				'columnsOverrides' => array(
//								'datasheet' => array(
//										'config' => array(
//												'format' => 'typoscript',
//												'renderType' => 'textTable',
//										),
//								),
//        ),
				),
				'url' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
//            . '  title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_short, marginal_description,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
//            . '  layout;;10;;3-3-3, cols, datasheet;;9;nowrap:wizards[table],'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
//            . '  weight,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
//            . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
//            . '  tx_quickshop_shippingcosts,'
						// #t0937, 161101, dwildt, ~
						. qsTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
//            . '  ebay_keywords,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.startendtime;startendtime,'
						. '  fe_group,'
//            . '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
//            . '  seo_keywords, seo_description,'
				,
				),
		),
		'palettes' => array(
//        '1' => array( 'showitem' => '' ),
//        'image_1stforlistonly' => array(
//            'showitem' => 'image_1stforlistonly;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.image_1stforlistonly,',
//            'canNotCollapse' => 1,
//        ),
//        'image_accessibility' => array(
//            'showitem' => 'imageseo;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.imageseo,',
//            'canNotCollapse' => 1,
//        ),
//        'imageblock' => array(
//            'showitem' => 'imageorient;LLL:EXT:cms/locallang_ttc.xml:imageorient_formlabel, imagecols;LLL:EXT:cms/locallang_ttc.xml:imagecols_formlabel, --linebreak--,' .
//            'image_noRows;LLL:EXT:cms/locallang_ttc.xml:image_noRows_formlabel,caption_position;LLL:EXT:cms/locallang_ttc.xml:imagecaption_position_formlabel',
//            'canNotCollapse' => 1,
//        ),
//        'imagefiles' => array(
//            'showitem' => 'image;LLL:EXT:cms/locallang_ttc.xml:image_formlabel,caption;LLL:EXT:cms/locallang_ttc.xml:imagecaption_formlabel,',
//            'canNotCollapse' => 1,
//        ),
//        'imagelinks' => array(
//            'showitem' => 'image_zoom;LLL:EXT:cms/locallang_ttc.xml:image_zoom_formlabel, image_link;LLL:EXT:cms/locallang_ttc.xml:image_link_formlabel',
//            'canNotCollapse' => 1,
//        ),
//        'image_settings' => array(
//            'showitem' => 'imagewidth;LLL:EXT:cms/locallang_ttc.xml:imagewidth_formlabel, imageheight;LLL:EXT:cms/locallang_ttc.xml:imageheight_formlabel, imageborder;LLL:EXT:cms/locallang_ttc.xml:imageborder_formlabel, --linebreak--,' .
//            'image_compression;LLL:EXT:cms/locallang_ttc.xml:image_compression_formlabel, image_effects;LLL:EXT:cms/locallang_ttc.xml:image_effects_formlabel, image_frames;LLL:EXT:cms/locallang_ttc.xml:image_frames_formlabel',
//            'canNotCollapse' => 1,
//        ),
				'price' => array(
						'showitem' => 'price;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.price,tax;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax,',
						'canNotCollapse' => 1,
				),
				'quantity' => array(
						'showitem' => 'quantity_min;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_min,quantity_max;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_max,',
						'canNotCollapse' => 1,
				),
				'skuean' => array(
						'showitem' => 'sku;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.sku,ean;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ean,',
						'canNotCollapse' => 1,
				),
				'startendtime' => array(
						'showitem' => 'starttime;LLL:EXT:lang/locallang_general.xml:LGL.starttime,endtime;LLL:EXT:lang/locallang_general.xml:LGL.endtime,',
						'canNotCollapse' => 1,
				),
				'stockmanagement' => array(
						'showitem' => ''
						. 'stockmanagement;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockmanagement,'
						. 'stockquantity;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockquantity,'
						. 'stockprompt;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt,'
						,
						'canNotCollapse' => 1,
				),
				'tx_quickshop_variant' => array(
						'showitem' => ''
						. 'tx_quickshop_variant;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_variant,'
						,
						'canNotCollapse' => 0,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
						. 'page;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
						. 'url;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.url'
						,
						'canNotCollapse' => 1,
				),
		)
);

// #t0088, 170311, dwildt, 1-
//$tx_quickshop_products[ 'columns' ][ 'cols' ] = $TCA[ 'tt_content' ][ 'columns' ][ 'cols' ];
// #t0937, 161101, dwildt, 6-
//$tx_quickshop_products['columns']['pi_flexform'] = $TCA['tt_content']['columns']['pi_flexform'];
//unset($tx_quickshop_products['columns']['pi_flexform']['config']['ds']);
//unset($tx_quickshop_products['columns']['pi_flexform']['config']['ds_pointerField']);
//unset($tx_quickshop_products['columns']['pi_flexform']['config']['search']);
//$tx_quickshop_products['columns']['pi_flexform']['config']['ds']['default'] = 'FILE:EXT:css_styled_content/flexform_ds.xml';
//$tx_quickshop_products['columns']['pi_flexform']['config']['ds_pointerField'] = 'title';
// Localization support
if( $bool_LL )
{
	// Add language overlay fields to showRecordFieldList
	$showRecordFieldList = $tx_quickshop_products[ 'interface' ][ 'showRecordFieldList' ];
	$TCA[ 'tx_jobmarket_sectorgroup' ][ 'interface' ][ 'tx_quickshop_products' ] = $showRecordFieldList . ',sys_language_uid,l10n_parent,l10n_diffsource';
	// Add language overlay fields to showRecordFieldList
	// Add localization fields to columns array
	$tx_quickshop_products[ 'columns' ][ 'sys_language_uid' ] = array
			(
			'l10n_mode' => 'exclude',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
					'type' => 'select',
					'foreign_table' => 'sys_language',
					'foreign_table_where' => 'ORDER BY sys_language.title',
					'items' => array(
							array( 'LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1 ),
							array( 'LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0 )
					)
			)
	);
	$tx_quickshop_products[ 'columns' ][ 'l10n_parent' ] = array
			(
			'l10n_mode' => 'exclude',
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
					'type' => 'select',
					'items' => array(
							array( '', 0 ),
					),
					'foreign_table' => 'tx_quickshop_products',
					'foreign_table_where' => 'AND tx_quickshop_products.pid=###CURRENT_PID### AND tx_quickshop_products.sys_language_uid IN (-1,0)',
			)
	);
	$tx_quickshop_products[ 'columns' ][ 'l10n_diffsource' ] = array
			(
			'config' => array(
					'type' => 'passthrough'
			)
	);
	// Add localization fields to columns array
}

// #t0773, 160720, dwildt, 2+
$tx_quickshop_products[ 'columns' ] = ( array ) $tx_quickshop_products[ 'columns' ] + ( array ) qsTcaColumnsImage( 'tx_quickshop_products', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal );
//$tx_quickshop_products[ 'ctrl' ] = ( array ) $tx_quickshop_products[ 'ctrl' ] + ( array ) qsTcaColumnsTypeicons( 'tx_quickshop_products', $fal );
$tx_quickshop_products[ 'ctrl' ] = ( array ) $tx_quickshop_products[ 'ctrl' ] + ( array ) $Icons->typeIconClasses();
$tx_quickshop_products[ 'palettes' ] = ( array ) $tx_quickshop_products[ 'palettes' ] + ( array ) qsTcaPalettesImage( $fal );


return $tx_quickshop_products;
