plugin.tx_browser_pi1 {

  views {
    list {
      62037 {
        tx_quickshop_products {
            // teaser_title, category, teaser_short, image, price, tax, Link to shipping costs, caddy form
          title = COA
          title {
            stdWrap {
              wrap = <div class="medium-4 columns"><ul class="pricing-table" data-equalizer-watch>|</ul></div>
            }
              // teaser_title
            10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
            10 {
              default {
                wrap  = <li class="title">|</li>
              }
              notype {
                wrap  = <li class="title notype">|</li>
              }
              page {
                wrap  = <li class="title page">|</li>
              }
              url {
                wrap  = <li class="title url">|</li>
              }
            }
              // category
            20 = COA
            20 {
              if =
              if {
                isTrue {
                  field = tx_quickshop_categories.uid
                }
              }
                // tx_quickshop_categories
              20 = CONTENT
              20 {
                table = tx_quickshop_categories
                select {
                  pidInList = {$plugin.quick_shop.pages.items}
                  //selectFields = tx_quickshop_categories.title
                  join = tx_quickshop_mm ON tx_quickshop_mm.uid_foreign = tx_quickshop_categories.uid
                  where {
                    field = tx_quickshop_products.uid
                    noTrimWrap = |tx_quickshop_categories.uid_parent = 0 AND tx_quickshop_mm.uid_local = | AND tx_quickshop_mm.table_local = 'tx_quickshop_products' AND tx_quickshop_mm.table_foreign = 'tx_quickshop_categories'|
                  }
                  orderBy = tx_quickshop_categories.title
                }
                  // tx_quickshop_products.title croped and linked
                renderObj = TEXT
                renderObj {
                  field = title
                  crop = 25 | ... | 1
                  noTrimWrap = |<li class="bullet-item categories">|</li>|
                }
              }
            }
              // teaser_short
            30 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.text.0
            30 {
              default {
                wrap  = <li class="description">|</li>
              }
              notype {
                wrap  = <li class="description notype">|</li>
              }
              page {
                wrap  = <li class="description page">|</li>
              }
              url {
                wrap  = <li class="description url">|</li>
              }
            }
              // image
            40 = COA
            40 {
                // image
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
              10 {
                default {
                  default {
                    renderObj {
                      wrap  = <li class="bullet-item image">|</li>
                    }
                  }
                  notype {
                    renderObj {
                      wrap  = <li class="bullet-item image notype">|</li>
                    }
                  }
                  page {
                    renderObj {
                      wrap  = <li class="bullet-item image page">|</li>
                    }
                  }
                  url {
                    renderObj {
                      wrap  = <li class="bullet-item image url">|</li>
                    }
                  }
                }
                disabled {
                  default {
                    renderObj {
                      wrap  = <li class="bullet-item image">|</li>
                    }
                  }
                  notype {
                    renderObj {
                      wrap  = <li class="bullet-item image notype">|</li>
                    }
                  }
                  page {
                    renderObj {
                      wrap  = <li class="bullet-item image page">|</li>
                    }
                  }
                  url {
                    renderObj {
                      wrap  = <li class="bullet-item image url">|</li>
                    }
                  }
                }
								enabled < .default
              }
            }
              // price
            50 = CASE
            50 {
              key {
                field = tx_quickshop_products.stockprompt
              }
                // prompt the price like 999,00 €
              default = 
              default < plugin.tx_caddy.defaults.numberFormatCurrency
              default {
                field = tx_quickshop_products.price
                value >
              }
                // prompt the price like ---,-- €
              application = TEXT
              application {
                value = ---.--
                lang {
                  de = ---,--
                  en = ---.--
                }
                noTrimWrap = || {$plugin.quick_shop.base.currencySymbol}|
              }
              stdWrap {
                wrap  = <li class="price">|</li>
                typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0
              }
            }
              // tax
            60 < plugin.tx_quickshop.templates.tax
            60 {
              1 {
                wrap  = <li class="tax">|</li>
              }
              2 {
                wrap  = <li class="tax">|</li>
              }
            }
              // Link to shipping costs
            70 = COA
            70 {
              if {
                isTrue = {$plugin.quick_shop.layout.caddy.shippingnote}
              }
              10 = TEXT
              10 {
                value = shipping
                lang {
                  de = Versand
                  en = shipping
                }
                typolink.parameter = {$plugin.quick_shop.pages.shipping}
                prepend = TEXT
                prepend {
                  value = plus
                  lang {
                    de = zzgl.
                    en = plus
                  }
                }
                noTrimWrap = | ||
              }
              wrap  = <li class="shipping">|</li>
            }
              // caddy form
            80 = CASE
            80 {
                // key = plugin.tx_browser_pi1.templates.listview.url.0.key (here: {$plugin.tx_browser_pi1.templates.listview.url.0.key})
              key =
              key {
                field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
              }
                // caddy form
              default =
              default < plugin.tx_quickshop.templates.form
              default {
                wrap = <li class="caddyWoMargin single">|</li>
              }
                // &nbsp;
              notype = TEXT
              notype {
                value = No further information
                lang {
                  de = Keine weiteren Informationen
                  en = No further information
                }
                wrap = <li class="caddyWoMargin notype button postfix">|</li>
              }
                // title of the page
              page = TEXT
              page {
                typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0.page
                wrap = <li class="caddyWoMargin page button postfix">|</li>
              }
                // the url
              url = TEXT
              url {
                typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0.url
                wrap = <li class="caddyWoMargin url button postfix">|</li>
              }
            }
          }
        }
      }
    }
  }
}